Name:             stilts
Version:          0.1.28
Release:          3%{?dist}
Summary:          STOMP messaging framework
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://stilts.projectodd.org/

# git clone git://github.com/projectodd/stilts.git stilts
# cd stilts/ && git archive --format=tar --prefix=stilts-0.1.28/ 0.1.28 | xz > stilts-0.1.28.tar.xz
Source0:          stilts-%{version}.tar.xz

Patch0:           0001-Netty-3.5.11.Final-support.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    hornetq
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-stdio
BuildRequires:    jboss-naming
BuildRequires:    jboss-jts
BuildRequires:    geronimo-jta
BuildRequires:    hamcrest
BuildRequires:    hibernate-validator
BuildRequires:    ironjacamar
BuildRequires:    netty
BuildRequires:    slf4j
BuildRequires:    weld-core
BuildRequires:    shrinkwrap

Requires:         jpackage-utils
Requires:         java
Requires:         hornetq
Requires:         jboss-logging
Requires:         jboss-logmanager
Requires:         jboss-stdio
Requires:         jboss-naming
Requires:         geronimo-jta
Requires:         hamcrest
Requires:         hibernate-validator
Requires:         ironjacamar
Requires:         netty
Requires:         slf4j

%description
Stilts is a STOMP-native messaging framework. It is not a message broker.
It aims to address treating STOMP as primary contract for messaging,
and integrating around it, instead of simply applying STOMP shims to existing
services.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n stilts-%{version}

%patch0 -p1

# Not needed for now or deps not available
%pom_disable_module stomp-client-rb
%pom_disable_module stomplet-server-bundle-tests
%pom_disable_module stomplet-server-cdi

# jboss-jts is pulling some weird deps...
# It's only used for tests, so remove them
%pom_remove_dep "org.jboss.jbossts:jbossjta" conduit-server-core/pom.xml
%pom_remove_dep "org.jboss.jbossts:jbossjta" stomplet-server-core/pom.xml

rm -rf conduit-server-core/src/test/*
rm -rf stomplet-server-core/src/test/*

%build
mvn-rpmbuild package javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for m in stomp-server-core stomplet-server-bundle stomplet-server-core stomp-client stomplet-api stomp-api stomplet-api stomp-client-js stomp-common stomp-server-spi conduit-server-core conduit-server-spi; do
  # JAR
  install -pm 644 ${m}/target/stilts-${m}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-${m}.jar

  # POM
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-${m}.pom

  # DEPMAP
  %add_maven_depmap JPP-%{name}-${m}.pom %{name}-${m}.jar
done
  
# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE.txt README.md

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Tue Dec 04 2012 Marek Goldmann <mgoldman@redhat.com> - 0.1.28-3
- Package newly built modules

* Tue Dec 04 2012 Marek Goldmann <mgoldman@redhat.com> - 0.1.28-2
- Added license to packages

* Mon Dec 03 2012 Marek Goldmann <mgoldman@redhat.com> - 0.1.28-1
- Initial package


